## fai 5.8.4

=== Makefile ===
include VERSION

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-monitor-gui fai-deps fai-mk-configspace

# for syntax checks
BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace lib/check-cross-arch
SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp

# do not include setup-storage and dracut subdir
EXCL=lib/dracut lib/setup-storage
libfiles=$(filter-out $(EXCL),$(wildcard lib/[a-z]*))

all:
	$(MAKE) syntaxcheck
	$(MAKE) -C doc all

syntaxcheck: bashismcheck shellcheck perlcheck

bashismcheck:
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SHELL_SCRIPTS); do \
			test -r $${SCRIPT} || continue ; \
			ec=0 ; \
			checkbashisms -x $${SCRIPT} || ec=$$? ; \
			if [ $${ec} -ne 0 ] && [ $${ec} -ne 2 ] ; then exit $${ec} ; fi ; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

shellcheck:
	@echo -n "Checking for shell syntax errors"; \
	for SCRIPT in $(BASH_SCRIPTS) $(SHELL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		bash -n $${SCRIPT} || exit ; \
		echo -n "."; \
	done; \
	echo " done."; \

perlcheck:
	@echo "Checking for perl syntax errors:"; \
	mkdir -p perl-dummy/Linux perl-dummy/File perl-dummy/Tk ; \
	for f in File/lchown.pm Linux/LVM.pm Tk.pm Tk/HList.pm Tk/ItemStyle.pm; do \
		echo '1;' > perl-dummy/$$f ; \
	done; \
	for SCRIPT in $(PERL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		perl -Iperl-dummy/ -Ilib/setup-storage/ -w -c $${SCRIPT} || exit ; \
	done; \
	rm -r perl-dummy ; \
	echo "-> perl check done."; \

clean:
	rm -rf perl-dummy
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install:
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
	mkdir -p $(DESTDIR)/etc/{init,init.d} $(DESTDIR)/usr/share/fai/{pixmaps/small,setup-storage}
	mkdir -p $(DESTDIR)/usr/lib/dracut/modules.d
	install man/* $(DESTDIR)/man
	pod2man -c '' -r '' -s8 bin/dhcp-edit > $(DESTDIR)/man/dhcp-edit.8
	pod2man -c '' -r '' -s8 bin/fai-deps > $(DESTDIR)/man/fai-deps.8
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	cp -a lib/dracut/80fai-autodiscover $(DESTDIR)/usr/lib/dracut/modules.d
	install lib/setup-storage/* $(SHAREDIR)/setup-storage
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install dev-utils/fai-kvm $(DESTDIR)/usr/bin
	install dev-utils/fai-mk-network $(DESTDIR)/usr/sbin
	install bin/dhclient-fai-script  $(DESTDIR)/usr/share/fai
	install -m644 conf/dhclient-fai.conf $(DESTDIR)/usr/share/fai
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover $(DESTDIR)/etc/fai/
	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
	cp -a pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
	cp -a pixmaps/small/*.gif $(DESTDIR)/usr/share/fai/pixmaps/small
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	rm -f $(DOCDIR)/examples/simple/.git
	cp -a utils $(DOCDIR)/examples

.PHONY: clean veryclean

=== debian/changelog ===
fai (5.8.4) unstable; urgency=low

  [ Thomas Lange ]
  * updatebase: mount /run/udev into /target, Closes: #925247
  * fai-cd.8: improve -d description
  * fix several typos

  [ Björn Torkelsson ]
  * fai-make-nfsroot: foreign architecture may not be defined
    Closes: #925246

  [ Nicolas Souedet ]
  * Commands.pm: fix wrong Perl dereferencing, Closes: #925469

 -- Thomas Lange <lange@debian.org>  Wed, 27 Mar 2019 22:44:02 +0100

=== debian/control ===
Source: fai
Section: admin
Priority: optional
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 4.3.0
Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
Build-Depends: debhelper (>= 7), libgraph-perl
Vcs-Git: https://github.com/faiproject/fai.git
Vcs-Browser: https://github.com/faiproject/fai
Homepage: https://fai-project.org

Package: fai-client
Architecture: all
Depends: perl, file, libapt-pkg-perl, libfile-lchown-perl, iproute2, debconf-utils, ${misc:Depends}
Recommends: libgraph-perl, fdisk | util-linux (<< 2.29.2-3~)
Suggests: logtail
Breaks: fai-nfsroot (<< 5.2)
Replaces: fai-nfsroot (<< 5.2)
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the client package for FAI. It contains the parts necessary
 to run the softupdate functionality on already installed systems, and
 is needed for the dirinstall functionality and others on a FAI server.

Package: fai-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for FAI
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Depends: fai-client, e2fsprogs, debootstrap, xz-utils, ${misc:Depends}
Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub2, perl-tk, qemu-utils, fai-setup-storage
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 It's a tool for mass unattended Linux installation. You can take one
 or more virgin systems, turn on the power, and after a few minutes,
 the systems are installed, and completely configured to your exact
 needs, without any interaction necessary.
 .
 This package is needed for setting up a FAI install server for network
 installations, for running the dirinstall in a chroot environment, and
 to build installation CD/DVD's and USB sticks.

Package: fai-quickstart
Architecture: all
Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, tftpd-hpa | atftpd, reprepro, xorriso, squashfs-tools, binutils, openbsd-inetd | inet-superserver, ${misc:Depends}
Description: Fully Automatic Installation quickstart package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 This package setups an install server with some basic
 examples. It should be removed when creating your own config space.
 .
 This package is a dependency package, which will install some
 packages needed for FAI.

Package: fai-nfsroot
Architecture: all
Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, syslinux-efi, ${misc:Depends}
Description: Fully Automatic Installation nfsroot package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.

Package: fai-setup-storage
Architecture: all
Depends: perl, e2fsprogs, libparse-recdescent-perl, liblinux-lvm-perl, parted, ${misc:Depends}
Recommends: lvm2, mdadm
Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
Description: automatically prepare storage devices
 Using FAI disk_config files, setup-storage computes effective
 partition and volume sizes and executes the necessary commands
 to configure storage devices. It manages disk drives as well
 as RAID and LVM volumes. It handles all file systems supported
 by parted(8) as well as ntfs but is flexible enough to be
 extended to further types as well. Once the storage devices
 are prepared, an appropriate fstab(5) file is generated.
 .
 This package provides the setup-storage utility as separate
 package so it can be used independent from FAI as well.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/tmp
DOCDIR=`pwd`/debian/fai-doc/usr/share/doc/fai-doc

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include VERSION

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
# Add here commands to clean up after the build process.
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# Add here commands to install the package into debian/fai.
	$(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -Nfai-server -Nfai-quickstart
#	dh_installexamples
#	dh_installmenu
	dh_installman
	dh_install --sourcedir=debian/tmp
#	dh_installinfo
	dh_link
	dh_installchangelogs
	dh_compress -Xexamples -X.pdf
	dh_fixperms -X nfsroot.conf
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(shell pwd)/debian/fai-client/usr/share/doc/fai-client/README
	dh_lintian
# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fai 5.8.4+nmu1

=== debian/changelog ===
fai (5.8.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:58:39 +0800

## fai 5.9.1

=== debian/changelog ===
fai (5.9.1) unstable; urgency=low

  * remove support for old CentOS 5/6/7 releases
  * examples: update class CENTOS for CentOS 8, use dnf instead of yum
  * grub.cfg: add search
  * check-cross-arch: check binary 'more' instead of 'ls'
  * scripts/DEBIAN/40-misc: add missing $target
  * mk-basefile: add --numeric-owner, add CentOS 8

 -- Thomas Lange <lange@debian.org>  Fri, 24 Jan 2020 22:15:32 +0100

fai (5.9) unstable; urgency=low

  [ Thomas Lange ]
  * Parser.pm: allow more spaces, closes: #945164
  * new scripts fai-link, fai-sed
  * fai-cd: add support for UEFI
  * grub.cfg, grub.cfg.autodiscover: add UEFI support, fix legacy boot
    config
  * fai-kvm: add option -E, support for UEFI
  * NFSROOT: do not install subversion, add grub-efi-amd64-bin, move some
    packages to default section
  * get-boot-info: remove loop, fix wrong IP settings in boot.log
  * check-cross-arch: add support if /bin/ls is a symlink
  * fai-make-nfroot: delete tmp dir before using it
  * task_inventroy, task_sysinfo: print UEFI boot infos if available
  * 85-efi-classes: script that defined classes for disk configs when
    booting with UEFI

  [ Vinzenz Vietzke ]
  * Extending zypper install commands for patterns and products

  [ corbolais ]
  * fix several typos

 -- Thomas Lange <lange@debian.org>  Tue, 07 Jan 2020 09:20:52 +0100

fai (5.8.9) unstable; urgency=medium

  * install_packages: fix bug that created package lists with additional
    packages

 -- Thomas Lange <lange@debian.org>  Fri, 04 Oct 2019 23:31:14 +0200

fai (5.8.8) unstable; urgency=medium

  * no source changes, new version needed because of wrong upload before

 -- Thomas Lange <lange@debian.org>  Thu, 03 Oct 2019 23:26:05 +0200

fai (5.8.7) unstable; urgency=low

  [ Thomas Lange ]
  * subroutines: support apt keys like package_config/CLASS.gpg
  * install_packages: handle shell variables in a package name
  * fai-mirror: add option -V, Closes: #909576
    avoid variable name clashes
  * fcopy: do not fail if File::lchown module is not available,
    Closes: #925590
  * fai-guide.txt: better explain first server installation,
    add section about nfsroot and NFS v4
  * fai-chboot: remove redundant message
  * savelog.LAST.sh: add ignore patterns
  * use command -v instead of type and which

 -- Thomas Lange <lange@debian.org>  Thu, 19 Sep 2019 09:54:10 +0200

fai (5.8.6) unstable; urgency=high

  * DEMO/10-misc: fix variable name

 -- Thomas Lange <lange@debian.org>  Fri, 30 Aug 2019 10:55:47 +0200

fai (5.8.5) unstable; urgency=high

  [ Thomas Lange ]
  * fai-make-nfsroot, add conf/fai-project.gpg:
    add key for fai-project.org repository, Closes: #933185
  * fai-make-nfsroot: use long key ID
  * subroutines: remove wait_for_jobs() and jobrunning(), prevent
    undefined variable
    umount /run/dev in target, Closes: #928981
  * fai-mirror: allow packages without .deb suffix
  * fai-chboot: better info messages
  * fai-kvm: allow kvm options after --, Closes: #929679
  * fai-cd: make first partition bootable, Closes: #926693
  * Makefile: use sed instead of perl
  * add fai-server.maintscript
  * compat: use debhelper compat level 11
  * rules: use dh instead of dh_ tools
  * setup-storage: use internal variable name when in debug mode
  * Commands.pm: always set boot flag for /boot/efi, Closes: #931451
  * fai-cd.8: add option -V
  * fai-guide.txt: fix a lot of small typos
  * task_sysinfo: remove init.d call which does not exists any more
  * fai-mk-network: detect default network device
  * fai-guide.txt: update kernel version and some newer output examples
  * grub.cfg.autodiscover: drop unused option
  * check-cross-arch: add test if qemu static is needed in target

  [ Donovan Keohane ]
  * Commands.pm: fixes creating btrfs subvolumes
    https://github.com/faiproject/fai/pull/81

  [ mroelandts ]
  * fai-cd: add option -V

 -- Thomas Lange <lange@debian.org>  Thu, 29 Aug 2019 17:08:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
-Build-Depends: debhelper (>= 7), libgraph-perl
+Build-Depends: debhelper (>= 11), libgraph-perl
 Vcs-Git: https://github.com/faiproject/fai.git
 Vcs-Browser: https://github.com/faiproject/fai
 Homepage: https://fai-project.org
@@ -41,7 +41,7 @@
 Package: fai-server
 Architecture: all
 Depends: fai-client, e2fsprogs, debootstrap, xz-utils, ${misc:Depends}
-Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl
+Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, openbsd-inetd | inet-superserver, libproc-daemon-perl, dosfstools, mtools
 Suggests: debmirror, reprepro, xorriso, squashfs-tools, binutils, grub2, perl-tk, qemu-utils, fai-setup-storage
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage

## fai 5.9.4ubuntu1

=== debian/changelog ===
fai (5.9.4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic (not
        linux-image-server, which no longer exists).
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.
  * Dropped changes, no longer needed:
    - bin/fai-cd:
      + Add missing grub-common package.
    - examples/simple/scripts/GRUB_PC/10-setup:
      + Add command to regenerate grub.cfg.
  * Update to focal as the default instead of the long-obsolete artful.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 Sep 2020 19:12:33 -0700

fai (5.9.4) unstable; urgency=low

  [ Emmanuel Kasper ]
  * control: add dependency procps

  [ Andrew Bezella ]
  * fai: initialize final_exit_code variable

  [ Thomas Lange ]
  * etc/NFSROOT: add class DEBIAN_, Closes: #956364
  * add support for Ubuntu focal 20.04
  * fai-make-nfsroot: fix dracut warning
  * mk-basefile: add bullseye, focal
  * 30-interface: also try altname of network interface
  * add ubuuntu focal support

 -- Thomas Lange <lange@debian.org>  Sun, 26 Apr 2020 22:08:56 +0200

fai (5.9.3) unstable; urgency=medium

  [ Thomas Lange ]
  * updatebase.UBUNTU,UBUNTU/90-apt: use hook for setting locale instead
    of debconf preseeding
  * FAIBASE/10-misc: only add /tmp entry to fstab if not in disk_config,
    first restore hosts.orig, then append my own IP

  [ Andrew Bezella ]
  * fai-divert: use which instead of command -v

 -- Thomas Lange <lange@debian.org>  Fri, 20 Mar 2020 15:40:53 +0100

fai (5.9.2) unstable; urgency=low

  [ Thomas Lange ]
  * upgrade standards version to 4.5.0, no changes
  * use debhelper-compat instead of debian/compat
  * fai-make-nfsroot: handle new packages dracut-live and dracut-squash,
    make sure initrd will only be generated once
  * fai-nfsroot.preinst: rename file to insserv does not complain
  * NFSROOT: add pigz, used by dracut, add nmve tool
  * task_sysinfo: list nvme devices
  * task_inventory: list nvme devices and virtual disks
  * 20-removable_media: no more entry for floppy in fstab
  * setup-storage: fix preserve with btrfs fs, Closes: #945239
    do not sync md devices after they are created,
    this only applies during an installation from nfsroot
    replaces mountdisks.DEFAULT
  * Init.pm: print debug info also at the end

  [ Donovan Keohane ]
  * fai-mirror: check if list is empty before calling reprepro
  * man pages: lots of proof reading
  * get-config-dir, fai-divert: Migrate which to command -v
  * Prefer 'grep -E' over 'egrep'

  [ Carsten Aulbert ]
  * fai-monitor: Add two more options to allow for custom strftime strings

 -- Thomas Lange <lange@debian.org>  Thu, 20 Feb 2020 21:37:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Thomas Lange <lange@debian.org>
-Standards-Version: 4.4.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
+Standards-Version: 4.5.0
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
-Build-Depends: debhelper (>= 11), libgraph-perl
+Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl
 Vcs-Git: https://github.com/faiproject/fai.git
 Vcs-Browser: https://github.com/faiproject/fai
 Homepage: https://fai-project.org
 
 Package: fai-client
 Architecture: all
-Depends: perl, file, libapt-pkg-perl, libfile-lchown-perl, iproute2, debconf-utils, ${misc:Depends}
+Depends: perl, file, libapt-pkg-perl, libfile-lchown-perl, iproute2, debconf-utils, procps, ${misc:Depends}
 Recommends: libgraph-perl, fdisk | util-linux (<< 2.29.2-3~)
 Suggests: logtail
 Breaks: fai-nfsroot (<< 5.2)

=== debian/rules ===
#!/usr/bin/make -f

-include VERSION

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -Nfai-server -Nfai-quickstart
	sed -i 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' debian/fai-client/usr/share/doc/fai-client/README

override_dh_installchangelogs:
	dh_installchangelogs -Nfai-server -Nfai-quickstart

override_dh_compress:
	dh_compress -Xexamples -X.pdf

## fai 5.10.2ubuntu1

=== debian/changelog ===
fai (5.10.2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic (not
        linux-image-server, which no longer exists).
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 23:52:34 -0700

fai (5.10.2) unstable; urgency=medium

  * make bullseye the default release, Closes: #986884
  * mount efivarfs when needed, Closes: #986820

 -- Thomas Lange <lange@debian.org>  Wed, 14 Apr 2021 13:58:20 +0200

fai (5.10.1) unstable; urgency=high

  [ Andreas Beckmann ]
  * fai-nfsroot.preinst: fix dpkg diversion clash, Closes: #984479

  [ Thomas Lange ]
  * fai-setup: prevent multiple IP ranges to appear in /etc/export,
    Closes: #984602
  * task_sysinfo: simplify pipe
  * get-boot-devices: better detect bond devices
  * fai: fix setting hostname to IP if multiple network devices have an IP
    address, but dhcp does not provide a host name, use ip -br
  * rc.local/FAISERVER, 10-conffiles: use deafault interface when multiple
    IP addresses are set

 -- Thomas Lange <lange@debian.org>  Fri, 12 Mar 2021 21:18:30 +0100

fai (5.10) unstable; urgency=low

  [ Eldon Koyle ]
  * fai-chboot: Add NFSROOT_SERVER to explicitly set NFS server

  [ Vagrant Cascadian ]
  * rules: improve reproducible builds

  [ Sébastien Gross ]
  * setup-storage: Add a list of all bootable devices to log file

  [ dpoon ]
  * fetch-basefile: Allow . characters in the name of base images

  [ Florian Schmaus ]
  * 10-rootpw: use here document to protect root password
  * Remove duplicated unattended-upgrades entry in package_config

  [ Carsten Aulbert ]
  * 10-setup: strip last p from nvme device names
  * GRUB_PC/10-setup: provide code for get_stable_devname

  [ Thomas Lange ]
  * GRUB_PC/10-setup: fix for #982182, add devices to debconf, do not use
    grub-probe any more
  * fai-disk-info: detect more nvme device names, Closes: #960245
  * fai-class: exit with correct exit code, allow early abort after each
    script, Closes: #961127
  * subroutines: do not show USERPW,
    add third parameter to task_error(), delay abortion in case of an
    error, recheck task error after calling fai-class,
    task_error now writes into two files instead of setting a shell
    variable, Closes: #918187
  * add $secsuite for supporting $release/updates and $release-security,
    Closes: #970064
  * fai-sed: change exit value if file was changed, add options -n -E
    simplify code
  * fai-make-nfsroot: add option -c, fix syntax error,
    use lpxelinux.0 as default which supports http, omit virtfs
    copy log file also into $nfsroot/var/tmp
  * nfsroot.conf: no need to exclude wget any more
  * fai: use unshare when calling chroot
  * mount2dir: ignore nfs mounts
  * several shellcheck fixes
  * fcopy: print file mode in octal
  * get-boot-info: use ip --brief, remove variables NETMASK,BROADCAST
  * NEWS: add change of fai-sed
  * mkramdisk: set tmpfs size to 80%
  * fai-chboot: move comment in config written to end of file
  * install_packages: do not write install_packages.list if dry-run
  * prcopyleft: new year, use my new email address
  * setup-storage: print which command failed
  * fai-kvm: add option -O, update options for network devices
  * subroutines: call udevadm trigger to get more infos about network
  * package_config/DEBIAN: add non-free wireless packages
  * 30-interface: remove obsolete test, use CIDR
  * mk-basefile: add bookworm,trixie releases
  * LAST/50-misc: add trixie release
  * 20-hwdetect.sh: use ip --brief
  * rc.local/FAISERVER: check /etc/network/interfaces.d/$IFACE for nic
    devices, Closes: #965262
  * 40-parse-profiles.sh: use mktemp instead of tempfile
  * fai-debconf: add test if subdir exists
  * fai-guide.txt: remove apt-key usage, prefer .gpg over .asc
  * fai-setup: fix setting $myip
  * NFSROOT: remove moreutils

 -- Thomas Lange <lange@debian.org>  Thu, 04 Mar 2021 20:50:20 +0100

## fai 5.10.3

=== debian/changelog ===
fai (5.10.3) unstable; urgency=low

  * GRUB_PC/10-setup: fallback if pdevice is empty, Closes: #988987
  * 85-efi-classes: use loop and change order of classes
  * control: update standards version, no changes needed

 -- Thomas Lange <lange@debian.org>  Sat, 22 May 2021 18:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
-Standards-Version: 4.5.0
+Maintainer: Thomas Lange <lange@debian.org>
+Standards-Version: 4.5.1
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl
 Vcs-Git: https://github.com/faiproject/fai.git

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,22 @@
 
 -include VERSION
 
+# Tell texlive to respect SOURCE_DATE_EPOCH for reproducible builds
+export FORCE_SOURCE_DATE=1
+
 %:
 	dh $@
+
+override_dh_auto_build:
+	# Force UTF-8 locale to ensure UTF-8 file encoding for generated files
+	LC_ALL=C.UTF-8 dh_auto_build
 
 override_dh_installdocs:
 	dh_installdocs -Nfai-server -Nfai-quickstart
 	sed -i 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' debian/fai-client/usr/share/doc/fai-client/README
+	# Remove embedded temporary directory for reproducible builds
+	sed -i -e 's,/tmp/tmp.*/fai-guide.ps,fai-guide.ps,g' debian/fai-doc/usr/share/doc/fai-doc/fai-guide.ps
+	sed -i -e 's,/tmp/tmp.*/fai-guide.dvi,fai-guide.dvi,g' debian/fai-doc/usr/share/doc/fai-doc/fai-guide.ps
 
 override_dh_installchangelogs:
 	dh_installchangelogs -Nfai-server -Nfai-quickstart

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/^(\S*\.deb\d+u\d+)$/0.0.$1/ \
https://github.com/faiproject/fai/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|fai(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## fai 5.10.3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 SHAREDIR = $(DESTDIR)/usr/share/fai
 USRSBIN_SCRIPTS = fai-make-nfsroot fai-setup fcopy ftar install_packages fai-chboot fai-monitor fai-cd fai faireboot fai-statoverride setup-storage dhcp-edit fai-new-mac fai-diskimage
 
-USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-monitor-gui fai-deps fai-mk-configspace
+USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl fai-link fai-sed fai-monitor-gui fai-deps fai-mk-configspace
 
 # for syntax checks
-BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace lib/check-cross-arch
+BASH_SCRIPTS = bin/fai bin/fai-cd bin/fai-class bin/fai-debconf bin/fai-do-scripts bin/fai-make-nfsroot bin/fai-mirror bin/fai-setup bin/fai-diskimage bin/fai-statoverride bin/faireboot bin/ftar bin/fai-link bin/fai-sed dev-utils/fai-kvm dev-utils/fai-mk-network examples/simple/basefiles/mk-basefile examples/simple/class/*.sh examples/simple/class/[0-9]* examples/simple/files/etc/rc.local/FAISERVER examples/simple/hooks/* examples/simple/scripts/*/* lib/fai-divert lib/fai-mount-disk lib/fai-savelog lib/fetch-basefile lib/get-boot-info lib/get-config-dir* lib/mkramdisk lib/mount2dir lib/prcopyleft lib/subroutines lib/task_* lib/updatebase lib/dracut/*/* bin/fai-mk-configspace lib/check-cross-arch
 SHELL_SCRIPTS = bin/dhclient-fai-script bin/policy-rc.d.fai lib/check_status lib/create_resolv_conf lib/fai-abort lib/fai-disk-info lib/load_keymap_consolechars utils/mkdebmirror
 PERL_SCRIPTS = lib/setup-storage/*.pm bin/ainsl bin/device2grub bin/dhcp-edit bin/fai-chboot bin/fai-deps bin/fai-monitor bin/fai-monitor-gui bin/fai-new-mac bin/fcopy bin/install_packages bin/setup-storage dev-utils/setup-storage_deps-graph.pl examples/simple/tests/Faitest.pm lib/dhclient-perl lib/fai-savelog-ftp
 
@@ -74,7 +74,7 @@
 
 install:
 	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
-	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
+	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt/trusted.gpg.d
 	mkdir -p $(DESTDIR)/etc/{init,init.d} $(DESTDIR)/usr/share/fai/{pixmaps/small,setup-storage}
 	mkdir -p $(DESTDIR)/usr/lib/dracut/modules.d
 	install man/* $(DESTDIR)/man
@@ -94,11 +94,12 @@
 	cd conf ; install -m644 fai.conf grub.cfg grub.cfg.autodiscover $(DESTDIR)/etc/fai/
 	install -m644 conf/nfsroot.conf $(DESTDIR)/etc/fai/
 	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
+	install -m644 conf/fai-project.gpg $(DESTDIR)/etc/fai/apt/trusted.gpg.d/
 	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
 	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
 	cp -a pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
 	cp -a pixmaps/small/*.gif $(DESTDIR)/usr/share/fai/pixmaps/small
-	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
+	sed -i 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
 	cp -a examples $(DOCDIR)
 	rm -f $(DOCDIR)/examples/simple/.git
 	cp -a utils $(DOCDIR)/examples

=== doc/Makefile ===
#!/bin/make -s

DOC = fai-guide
MISC_DOC = classes_description.txt changelog.old
DOC2DIR = $(shell pwd)/../debian/fai-setup-storage/usr/share/doc/fai-setup-storage
OPT = --dblatex-opts "-P latex.output.revhistory=0"


free:	text html ps pdf
#	echo "`grep -c FIXME $(DOC).txt` FIXMEs left to fix:"
#	grep FIXME $(DOC).txt

images:
	ln -s /usr/share/asciidoc/images images 

html: $(DOC).txt images
	asciidoc -a toc2 -a toclevels=3 --theme=flask $(DOC).txt

.NOTPARALLEL:	pdf
pdf: $(DOC).txt	images
	a2x $(OPT) -L --icons -a toc -a toclevels=3 -f pdf $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

.NOTPARALLEL:	ps
ps: $(DOC).txt images
	a2x $(OPT) -L --icons -a toc -a toclevels=3 -f ps $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

# a2x uses lynx, maybe use w3m instead
# which texwidth for text output?
# asciidoc --doctype=article  -a "toc" -a "toclevels=3" -f /etc/asciidoc/text.conf -b html4 -o - "f-guide.txt" | lynx -dump -stdin >"./f-guide.text"
text: $(DOC).txt
	a2x $(OPT) -L -a toc -a toclevels=3 -f text $(DOC).txt

# for openoffice
doc:	html
	unoconv --show >/dev/null 2>&1 || exit "Please install the unoconv package."
	unoconv -f doc $(DOC).html

all:	free

install:
	cp -dRp $(DOC)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)
	cp -p setup-storage-call-graph.txt setup-storage-overview.txt $(DOC2DIR)

clean:
	rm -rf images .a2x-icons grohtml-*.png
	rm -f $(DOC).text $(DOC).html $(DOC).doc $(DOC).pdf $(DOC).xml $(DOC).ps* docbook-xsl.css

test:
	asciidoc --version > /dev/null 2>&1 || exit "Please install the asciidoc package."


.PHONY: all test clean

=== debian/changelog ===
fai (5.10.3ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic (not
        linux-image-server, which no longer exists).
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Oct 2021 14:39:32 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
 Standards-Version: 4.5.1
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
 Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl

## fai 5.10.3ubuntu1+11.0trisquel1

=== debian/changelog ===
fai (5.10.3ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Adapted for Trisquel. Fixes #28007

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 23:14:28 +0000

## fai 6.0~alpha27

=== debian/changelog ===
fai (6.0~alpha27) experimental; urgency=low

  * experimental test

 -- Thomas Lange <lange@debian.org>  Tue, 01 Nov 2022 10:35:51 +0100

## fai 6.0ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #	grep FIXME $(DOC).txt
 
 images:
-	ln -s /usr/share/asciidoc/images images 
+	ln -s /usr/share/asciidoc/images images
 
 html: $(DOC).txt images
 	asciidoc -a toc2 -a toclevels=3 --theme=flask $(DOC).txt

=== debian/changelog ===
fai (6.0ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - conf/NFSROOT
      + Replace debian linux-image-* with linux-image-generic.
    - conf/{sources.list, nfsroot.conf}:
      + Adjust to Ubuntu sources.
    - conf/nfsroot.conf:
      + Add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS.
  * Update bootstrap target to the current LTS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 21:27:01 -0800

fai (6.0) unstable; urgency=low

  [ Thomas Lange ]
  * fai-do-scripts: write output of all scripts to scripts.log,
    remove code for old cfengine versions (1 and 2)
  * fai-make-nfsroot: drop support for .asc files, use only .gpg
  * add autopkgtest
  * install_packages: add release=<name>
    feature, Closes: #844377, add pacman support
    add --allow-change-held-packages
    parse apt-cache output, Closes: #990211
  * fetch-basefile: use curl instead of lftp for downloading
  * Commands.pm: special handling of nvme devices, Closes: #999739, quote
    variables, Closes: #977832, remove old code need by old version of
    mkfs.btrfs and lvcreate,
  * fai-mk-network: use iproute commands instead of brctl
  * fai-make-nfsroot: add dracut modul network-legacy, Closes: #1010906
    do not kill dhclient, Closes: #987779, drop support for dracut < 049,
    patch udev rule of lvm for bullseye, include empty machine-id into
    base.tar
  * Exec.pm: better error message, Closes: #1005745
  * fcopy: handle broken symlinks, Closes: #985303
  * fai-chboot: add variable substitution when coping a template, add
    option -a
  * fai-class: use of .source scripts now emits an error
  * fai-kvm: add -M for creating NVMe devices
  * fai-mirror: use only first line of bpo in sources.list,
    Closes: #1006847, print number of packages inside the mirror
  * fai-diskimage: call losetup with -P, Closes: #1010593, do not remove
    VGs, deactivate them, Closes: #990633, add option -c, print error if
    umount fails, increase number of tries
  * fai-cd: set TMPDIR for chroot, Closes: #1000572,
    add grub module regexp
  * fai-setup: create ECDSA keys
  * Fstab.pm: support tmpfs size -, this uses the system default size for
    tmpfs, Closes: #951659
  * setup-storage: add support for fstabkey:partlabel and
    fstabkey:partuuid, remove crypto keyfile after use
  * enhance disk_config format for partition label support
  * ftar: add support for zstd
  * fai: check if unshare can be used, Closes: #989547
    use only IPv4 address as hostname
    remove code for deprecated taskname prepareapt
  * watch: update to version 4, use new url
  * subroutines: umount tmpfs if config space was downloaded via http,
    Closes: #1011642, check if systemd-resolved is used
  * task_sysinfo: print machine readable partition information, do not
    call commands that modify the system if no run in FAI environment,
    print battery information
  * subroutines: add help functions:
      ctam (Chroot TArget Mount pseudo filesystems)
      ctau (Chroot TArget Umount)
      ctai (Chroot TArget Into)
      rm_target (remount /target read-write)
  * NFSROOT: cleanup package list, add cryptsetup, zstd
  * update my email address
  * mk-basefile: remove /var/lib/dbus/machine-id, use zstd instead of gzip
    add Rocky 9, Debian Forky
  * ROCKY/60-network-scripts: add support for
    system-connections/${NIC1}.nmconnection
  * simple/examples: use fai-link and fai-sed instead of ln and sed,
    remove cryptsetup passphrase from format.log,
    use class ROCKY instead of CENTOS, update Ubuntu support to 22.04,
    add CLOUD_EFI, use ext4 for
    /boot in LVM examples, install kernel packages without recommends,
    use $kernelname in package_config set by class/DEBIAN.var
  * 20-hwdetect.sh: do not load kernel modules by default
  * get-boot-info: set NIC1 even if no network is used during installation
  * grub.cfg: new code booting from local disk, support more than two
    disks, add menu for UEFI settings
  * 15-root-ssh-key: new script that adds ssh keys class based
  * disk_config/*_EFI: use new format for gpt, p=<partlabel> instead of
    primary
  * GRUB_PC/10-setup: add test
  * remove --pid from unshare call

  [ Mike Gabriel ]
  * fai-abort:give job control to bash, Closes: #1020976

  [ Juri Grabowski ]
  * install_packages: add support for alpine Linux apk and
    Archlinux pacman

  [ Guido Günther ]
  * subroutines: allow one to pass a debootstrap script in FAI_DEBOOTSTRAP

  [  Christian Meyer ]
  * fai-setup: add ECDSA-key to known_hosts

  [ Aki Tuomi ]
  * check-cross-arch: fail on errors and unbound variables

  [ Hannes Eberhardt ]
  * package_config/ROCKY: update EFI packages

  [ Christoph Pleger ]
  * Commands.pm: sort btrfs subvolumes, Closes: #964761
    do not call mkfs mutliple times

 -- Thomas Lange <lange@debian.org>  Fri, 13 Jan 2023 22:45:03 +0100

## fai 6.0.1

=== debian/changelog ===
fai (6.0.1) unstable; urgency=low

  [ Joerg Behrmann ]
  * install_packages: fix wrong type of perl variable, Closes: #1032267

  [ Thomas Lange ]
  * prtcopyleft: year++
  * disk_config/*: add comment about mkfs option that is needed when using
    older Debian releases, Closes: #1031415

 -- Thomas Lange <lange@debian.org>  Wed, 08 Mar 2023 19:38:00 +0100

## fai 6.0.3+deb12u1

=== debian/changelog ===
fai (6.0.3+deb12u1) bookworm; urgency=low

  * fai: set IP address lifetime to forever, Closes: #1037329

 -- Thomas Lange <lange@debian.org>  Sat, 24 Jun 2023 13:02:26 +0200

fai (6.0.3) unstable; urgency=high

  *  get-boot-info: write $SERVER only if string is non-epmty
     fixes https://github.com/faiproject/fai/pull/118

 -- Thomas Lange <lange@debian.org>  Wed, 24 May 2023 11:57:11 +0200

fai (6.0.2) unstable; urgency=high

  [ Thomas Lange ]
  * add support for non-free-firmware, Closes: #1035555
  * mkdebmirror: bullseye -> bookworm, Closes: #1035608
  * doc/Makefile, debian/rules,fai-doc.doc-base.package:
    do not create ps files

 -- Thomas Lange <lange@debian.org>  Sun, 07 May 2023 17:25:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: fai
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Thomas Lange <lange@debian.org>
+Standards-Version: 4.6.1
 Build-Depends-Indep: asciidoc-dblatex, w3m, dblatex, docbook-xsl, libparse-recdescent-perl
-Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl
+Build-Depends: debhelper-compat (= 12), debhelper (>= 11), libgraph-perl, devscripts
 Vcs-Git: https://github.com/faiproject/fai.git
 Vcs-Browser: https://github.com/faiproject/fai
 Homepage: https://fai-project.org
 
 Package: fai-client
 Architecture: all
-Depends: perl, file, libapt-pkg-perl, libfile-lchown-perl, iproute2, debconf-utils, procps, ${misc:Depends}
-Recommends: libgraph-perl, fdisk | util-linux (<< 2.29.2-3~)
-Suggests: logtail
+Depends: perl, file, libfile-lchown-perl, iproute2, debconf-utils, procps, zstd, ${misc:Depends}
+Recommends: fdisk | util-linux (<< 2.29.2-3~)
+Suggests: logtail, libgraph-perl
 Breaks: fai-nfsroot (<< 5.2)
 Replaces: fai-nfsroot (<< 5.2)
 Description: Fully Automatic Installation client package
@@ -75,7 +74,7 @@
 
 Package: fai-nfsroot
 Architecture: all
-Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, syslinux-efi, ${misc:Depends}
+Depends: fai-client (>=5.2), fai-setup-storage, pxelinux| syslinux-common, syslinux-efi, patch, ${misc:Depends}
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g;s/^(\S*\.deb\d+u\d+)$/0.0.$1/ \
https://github.com/faiproject/fai/tags \
.*[^n]/(?:|v|version-|r|REL_|rel-|fai(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## fai 6.0.5

=== debian/changelog ===
fai (6.0.5) unstable; urgency=low

  * fai-diskimage: do not compress qcow2 using -c (too slow),
    add support for qcow2.zst

 -- Thomas Lange <lange@debian.org>  Sun, 25 Jun 2023 13:19:33 +0200

fai (6.0.4) unstable; urgency=low

  * fai: set IP address lifetime to forever, Closes: #1037329

 -- Thomas Lange <lange@debian.org>  Thu, 22 Jun 2023 21:35:04 +0200
